# Summary

- [Introduction](introduction.md)
- [Try locally](try-locally.md)
- [Deployment](./deployment/README.md)
  - [Provisioning flow](./deployment/provisioning-flow.md)
  - [Prerequisites](./deployment/prerequisites.md)
  - [Configuration](./deployment/configuration.md)
  - [Deploy the homelab](./deployment/deployment.md)
  - [DNS setup](./deployment/dns.md)
  - [External resources (optional)](./deployment/external-resources.md)
- [Troubleshooting](./troubleshooting.md)
- [Tutorials]()
  - [Use both GitHub and Gitea](./tutorials/use-both-github-and-gitea.md)
  - [Single node cluster adjustments](./tutorials/single-node-cluster-adjustments.md)
  - [Add or remove nodes (scale up or down)](./tutorials/add-or-remove-nodes.md)
  - [Run commands on multiple nodes](./tutorials/run-commands-on-multiple-nodes.md)
  - [Install new applications]()
  - [Expose services to the internet](tutorials/expose-services-to-the-internet.md)
- [Runbooks]()
  - [ArgoCD]()
  - [Gitea]()
  - [Vault]()
- [Reference](./reference/README.md)
  - [Architecture](./reference/architecture.md)
  - [Secret management](./reference/secret-management.md)
  - [FAQ](./reference/faq.md)
  - [Contributors](./reference/contributors.md)

---

- [Changelog](./changelog.md)
- [Roadmap](./roadmap.md)
- [License](./license.md)
